CAL(1)

NAMN
cal - visa en kalender

SYNOPSIS

cal [flaggor] [[[dag] månad] år]

cal [flaggor] [tidsstämpel|månadsnamn]

BESKRIVNING

cal visar en enkel kalender. Om inga argument anges visas den aktuella månaden.

månad kan anges som ett nummer (1-12), som ett månadsnamn eller som ett förkortat månadsnamn i enlighet med de aktuella lokala språkversionerna.

Två olika kalendersystem används, det gregorianska och det julianska. Dessa är nästan identiska system med Gregorianska gör en liten justering av frekvensen av skottår; detta underlättar förbättrad synkronisering med solhändelser som dagjämningar. Den gregorianska kalenderreformen infördes 1582, men den fortsatte att användas ända fram till 1923. Som standard använder cal datumet för införandet, 3 september 1752. Från och med detta datum visas den gregorianska kalendern; tidigare datum använder det julianska kalendersystemet. 11 dagar togs bort vid tidpunkten för antagandet för att få kalendern synkroniserad med solhändelser. Så september 1752 har en blandning av julianska och gregorianska datum där den 2:a följs av den 14:e (den 3:e till och med den 13:e saknas).

Valfritt kan antingen den proleptiska gregorianska kalendern eller den julianska kalendern användas exklusivt. Se --reform nedan.

FLAGGOR

-1, --one
    Visa utdata för en enskild månad. (Detta är standardinställningen.)

-3, --three
    Visar tre månader från datumet.

-n , --months nummer
    Visa antal månader, med början från den månad som innehåller datumet.

-S, --span
    Visa månader som sträcker sig över datumet.

-s, --sunday
    Visa söndag som första dag i veckan.

-m, --monday
    Visa måndag som första dag i veckan.

-v, --vertical
    Visning med vertikal layout (även kallat ncal(1)-läge).

--iso
    Visar enbart den proleptiska gregorianska kalendern. Denna flagga påverkar inte veckonummer och första dagen i veckan. Se --reform nedan.

-j, --julian
    Använd årsdagsnumrering för alla kalendrar. Dessa dagar kallas även för ordinaldagar. Ordinarie dagar sträcker sig från 1 till 366. Den här flaggan innebär inte att man byter från det gregorianska till det julianska kalendersystemet, vilket styrs av flaggan --reform.

    Ibland kallas gregorianska kalendrar som använder ordinala datum för julianska kalendrar. Detta kan vara förvirrande på grund av de många datumrelaterade konventioner som använder julianska i sitt namn: (ordinalt) julianskt datum, julianskt (kalender)datum, (astronomiskt) julianskt datum, (modifierat) julianskt datum, med mera. Den här flaggan heter julian eftersom ordinala dagar identifieras som julian enligt POSIX-standarden. Du bör dock vara medveten om att cal också använder det julianska kalendersystemet. Se DESCRIPTION ovan.

--reform val
    Denna flagga anger datumet för införandet av den gregorianska kalenderreformen. Kalenderdatum före reformen använder det julianska kalendersystemet. Kalenderdatum efter reformen använder det gregorianska kalendersystemet. Argumentet val kan vara:

        • 1752 - anger den 3 september 1752 som reformdatum (standard). Det var då den gregorianska kalenderreformen antogs av det brittiska imperiet.

        • gregorian - visar enbart gregorianska kalendrar. Denna speciella platshållare sätter reformdatumet under det minsta år som cal kan använda, vilket innebär att all kalenderutmatning använder det gregorianska kalendersystemet. Detta kallas den proleptiska gregorianska kalendern, eftersom datum före kalendersystemets skapande använder extrapolerade värden.

        • iso - alias för gregoriansk. ISO 8601-standarden för representation av datum och tider i informationsutbyte kräver användning av den proleptiska gregorianska kalendern.

        • julian - visar endast julianska kalendrar. Denna speciella platshållare sätter reformdatumet över det största år som cal kan använda, vilket innebär att all kalenderutmatning använder det julianska kalendersystemet.

    Se BESKRIVNING ovan.

-y, --year
    Visa en kalender för hela året.

-Y, --twelve
    Visa en kalender för de kommande tolv månaderna.

-w, --week[=nummer]
    Display week numbers in the calendar according to the US or ISO-8601 format. If a number is specified, the requested week in the desired or current year will be printed and its number highlighted. The number may be ignored if month is also specified.

    If the number is specified but the current day is unspecified on the command line, then the current day is not highlighted.

    Se avsnittet NOTER för mer information.

--color[=när]
    Färglägger utdata. Det valfria argumentet när kan vara auto, never eller always. Om argumentet när utelämnas är standardvärdet auto. Färgerna kan inaktiveras; för den aktuella inbyggda standardinställningen, se utmatningen --help. Se även avsnittet FÄRGER.

-c, --columns=kolumner
    Antal kolumner som ska användas. auto använder så många som ryms i terminalen.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

PARAMETRAR

Parameter med endast en siffra (t.ex. "cal 2020")
    Anger vilket år som ska visas; observera att året måste vara fullständigt angivet: cal 89 kommer inte att visa en kalender för 1989.

Parameter med en sträng (t.ex. "cal tomorrow" eller "cal August")
    Anger timestamp eller ett månadsnamn (eller förkortat namn) enligt aktuella lokala inställningar.

    De speciella platshållarna accepteras när tidsstämpel analyseras, "now" kan användas för att hänvisa till aktuell tid, "today", "yesterday", "tomorrow" hänvisar till den aktuella dagen, dagen innan eller nästa dag, respektive.

    De relativa datumspecifikationerna accepteras också, i detta fall utvärderas "+" till aktuell tid plus det angivna tidsintervallet. På motsvarande sätt utvärderas ett tidsintervall som inleds med "-" till den aktuella tiden minus det angivna tidsintervallet, t.ex. "+2dagar". I stället för att föregå tidsspannet med "+" eller "-" kan det också föregås av ett mellanslag och ordet "left" eller "ago" (t.ex. "1 week ago").

Två parametrar (t.ex. "cal 11 2020")
    Ange månad (1 - 12) och år.

Tre parametrar (t.ex. "cal 25 11 2020")
    Ange dag (1-31), månad och år, och dagen kommer att markeras om kalendern visas på en terminal. Om inga parametrar anges visas kalendern för innevarande månad.

ANTECKNINGAR

Ett år börjar den 1 januari. Veckans första dag bestäms av lokalen eller flaggorna --sunday och --monday.

Veckonumreringen beror på valet av veckans första dag. Om det är söndag används den vanliga nordamerikanska numreringen, där 1 januari är i vecka nummer 1. Om det är måndag (-m) används standardveckonumreringen enligt ISO 8601, där den första torsdagen är i vecka 1.

FÄRGER

Färgläggningen av utdata implementeras av terminal-colors.d(5) funktionalitet. Implicit färgläggning kan inaktiveras med en tom fil

    /etc/terminal-colors.d/cal.disable

för kommandot cal eller för alla verktyg med

    /etc/terminal-colors.d/disable

Sedan version 2.41 stöds även miljövariabeln $NO_COLOR som inaktiverar färgläggning av utdata om den inte uttryckligen aktiveras med en kommandoradsflagga.

Den användarspecifika $XDG_CONFIG_HOME/terminal-colors.d eller $HOME/.config/terminal-colors.d åsidosätter den globala inställningen.

Observera att färgläggningen av utdata kan vara aktiverad som standard, och i så fall behöver inte terminal-colors.d-katalogerna finnas ännu.

De logiska färgnamn som stöds av cal är:

idag
    Den aktuella dagen.

weeknumber
    Det veckonummer som begärs med kommandoradsflaggan --week=<nummer>.

weeks
    Veckans nummer.

header
    Rubriken för en månad.

workday
    Dagar som faller inom arbetsveckan.

weekend
    Dagar som infaller utanför arbetsveckan.

Till exempel:

    echo -e 'weekend 35\ntoday 1;41\nheader yellow' > $HOME/.config/terminal-colors.d/cal.scheme

HISTORIK

Ett cal-kommando dök upp i version 6 AT&T UNIX.

KÄNDA PROBLEM

Standardutmatningen cal använder den 3 september 1752 som reformdatum för den gregorianska kalendern. De historiska reformdatumen för de andra lokaliteterna, inklusive dess införande i oktober 1582, implementeras inte.

Alternativa kalendrar, såsom Umm al-Qura, Solar Hijri, Ge’ez eller lunisolar Hindu, stöds inte.

SE ÄVEN

terminal-colors.d(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot cal ingår i paketet util-linux som kan hämtas från